// component/picNav/picNav.js
const wx2my = require('../../wx2my');
const Behavior = require('../../Behavior');
var app = getApp();
const wxService = require('../../utils/wxService');
const utils = require('../../utils/util');
const utilLink = require('../../utils/currentLinkRouter')
const envInfo = require('../../config/index').envInfo;

Component({
  /**
   * 组件的属性列表
   */
  props: {
    picNav: []
  },
  didMount() {
    this.setData({
      picNav: this.props.picNav,
      baseImgUrl: app.globalData.imageUrl
    });
  },
  /**
   * 组件的初始数据
   */
  data: {
    imagewidth: 0,
    imageheight: 0,
    isAuthorization: false,
    isAuthorizationActiveText: '',
    isAuthorizationType: 2,
    baseImgUrl: ''
  },

  /**
   * 组件的方法列表
   */
  methods: {
    imageLoad(e) {
      let imageSize = utils.imageUtil(e);
      this.setData({
      },()=> {
        this.setData({
          imagewidth: imageSize.imageWidth,
          imageheight: imageSize.imageHeight
        })
      });
    },
    preview(event) {
      utilLink.currentLinkRouter(event, this)
//       const {
//         appid,
//         path,
//         link,
//         item
//       } = e.currentTarget.dataset;
//       const {
//         memberActivateStatus
//       } = wx2my.getStorageSync('_baseUserInfo');

//       const userInfo = wx2my.getStorageSync('_baseUserInfo'); //  2019.06.14
// console.log('--userInfo', userInfo)
//       let currentClickType = app.globalData.commonFunc.getLink(item.link.type, item);

//       if (link.type == 1) {
//         // 触发父组件更新页面 外部小程序
//         this.setData({
//           isAuthorization: false
//         });
//         return false;
//       } else if (!userInfo) {
//         // userInfo 不存在 授权弹框
//         this.setData({
//           isAuthorization: true
//         });
//         return false;
//       }

//       if (link.type == 2) {
//         // 触发父组件更新页面 内部子页面
//         wxService.nextTick(() => {
//           this.props.onUpdatePage({
//             detail: {
//               pageId: currentClickType.url
//             }
//           });
//         });
//       } else if (link.type == 3) {
//         // 预览
//         wx2my.previewImage({
//           current: `${app.globalData.imageUrl}/${currentClickType.imageUrl}`,
//           // 当前显示图片的http链接
//           urls: [`${app.globalData.imageUrl}/${currentClickType.link.url}`] // 需要预览的图片http链接列表

//         });
//       } else if (link.type == 4) {
//         // 内部固定功能
//         wxService.router(`${currentClickType}`);
//       } else if (link.type == 5) {
//         // 微信卡券 -- 卡包/领卡
//         if (currentClickType == 1) {
//           wxService.openCard();
//         } else if (currentClickType == 2) {
//           // wxService.openCard()
//           if (userInfo && userInfo.member && userInfo.member.mobile && !userInfo.memberActivateStatus) {
//             // 手机号存在 但未激活 跳转激活领卡页面 老用户
//             this.setData({
//               isAuthorizationActiveText: '新激活领卡',
//               isAuthorization: true,
//               isAuthorizationType: 3
//             }, () => {
//               return false;
//             });
//           } else {
//             wxService.openCard();
//           }
//         }
//       } else if (link.type == 6) {
//         wxService.router(`${currentClickType}`);
//       }
    },

    activeTocard(e) {
      if (e.detail) {
        wxService.openCard();
      }
    }

  }
});